@import url('https://fonts.googleapis.com/css2?family=Kaisei+Decol:wght@400;500;700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
body{
        -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

/* Estilos para o botão flutuante */
.whatsapp-btn {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #25D366;
    /* Cor verde do WhatsApp */
    color: white;
    font-size: 24px;
    padding: 2px 2px 3px 15px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    width: 60px;
    height: 60px;
    z-index: 99999;
}

.whatsapp-btn i {
    transition: transform 0.8s ease;
    font-size: 35px;
    text-align: center;

}

.whatsapp-btn span {
    white-space: nowrap;
    overflow: hidden;
    color: white;
    font-size: 18px;
    margin-left: 15px;
    opacity: 0;
    transition: opacity 0.4s ease;
}

.whatsapp-btn:hover {
    width: 300px;
    /* Expande o botão */
    padding: 15px 20px;
    border-radius: 30px;
    text-decoration: none;

}

.whatsapp-btn:hover span {
    opacity: 1;
    /* Exibe o texto ao lado do ícone */
    text-decoration: none;
    color: #fff;


}

.whatsapp-btn:hover i {
    transform: rotate(360deg);
    /* Efeito de rotação no ícone */
    text-decoration: none;
    color: #fff;

}

.whatsapp-btn:focus {
    color: #fff;
    text-decoration: none;

}


.h1,
.h2,
.h3,
h1,
h2,
h3 {
    margin-top: 10px;
    margin-bottom: 5px;
}

.kaisei-decol-regular {
    font-family: "Kaisei Decol", serif;
    font-weight: 400;
    font-style: normal;
}

.kaisei-decol-medium {
    font-family: "Kaisei Decol", serif;
    font-weight: 500;
    font-style: normal;
}

.kaisei-decol-bold {
    font-family: "Kaisei Decol", serif;
    font-weight: 700;
    font-style: normal;
}


.be-vietnam-pro-thin {
    font-family: "Be Vietnam Pro", system-ui;
    font-weight: 100;
    font-style: normal;
}

.be-vietnam-pro-extralight {
    font-family: "Be Vietnam Pro", system-ui;
    font-weight: 200;
    font-style: normal;
}


.be-vietnam-pro-regular {
    font-family: "Be Vietnam Pro", system-ui;
    font-weight: 400;
    font-style: normal;
}

.be-vietnam-pro-medium {
    font-family: "Be Vietnam Pro", system-ui;
    font-weight: 500;
    font-style: normal;
}

.be-vietnam-pro-bold {
    font-family: "Be Vietnam Pro", system-ui;
    font-weight: 700;
    font-style: normal;
}


.capa {
    margin-top: 250px;
}

.capa h1 {
    font-size: 73px !important;
}

.capa p {
    font-size: 14px !important;
    font-weight: 300 !important;
}

.capa h3 {
    font-size: 16px !important;
    color: #96836b !important;
    text-transform: uppercase;
}

.contact-form p,
.history p {
    font-weight: 500;
}

.contact-form h3,
.history h3,
.specialties h3 {
    font-size: 16px !important;
    color: #96836b !important;
    text-transform: uppercase;
}

.contact-form h2,
.history h2,
.specialties h2 {
    font-size: 31px !important;
}

nav ul>li {
    text-transform: uppercase;
    display: flex;
    align-items: center;
    margin-top: 20px;
    color: #e6e6e6 !important;

}

nav ul>li a {
    color: #e6e6e6 !important;
    font-size: 14px;
    margin-right: 15px;
    text-transform: uppercase;
    font-weight: 400;
    position: relative;
    line-height: normal;
    display: flex;
    align-items: center;


}

.navbar-inverse .navbar-nav>li>a {
    color: #9d9d9d !important;
}


.navbar-nav .dropdown:hover .dropdown-menu {
    display: block;
    /* Exibe o submenu automaticamente ao passar o mouse */
    background: #96836b;
    transition: all .3s ease;

}

.navbar-nav .dropdown:hover .dropdown-toggle {
    transition: all .3s ease;
}

.navbar-nav .dropdown-menu {
    margin-top: 0;
    /* Ajuste de alinhamento para que o submenu apareça logo abaixo do item */
    transition: all .3s ease;

}


.navbar-nav>li>a:hover {
    background: transparent!important;
    color: #96836b !important;
    transition: all .3s ease;
}


.navbar-nav>li>.dropdown-menu>li>a:hover {
    background: #fff !important;
    color: #96836b !important;
    transition: all .3s ease;
}


footer h4 {
    font-size: 14px !important;
    color: #96836b !important;
    text-transform: uppercase;

}

footer ul>li {
    font-size: 13px !important;
    list-style: none !important;
    transition: all .3s ease;
}

footer ul>li a:hover {
    color: #96836b !important;
    transition: all .3s ease;
}


footer p {
    font-size: 14px !important;

    transition: all .3s ease;
}


footer ul {
    margin-left: -40px !important;
}

footer i {
    color: #96836b !important;
    font-size: 25px !important;
    transition: all .3s ease;
    padding: 5px;


}

footer i:hover {
    transition: all .3s ease;
    color: #fff !important;
}

footer span {
    margin-top: -10px;
}


.specialties img {
    width: 150px;
}

.specialties a{
    color:#000;
     transition: all .3s ease;
}

.specialties a:hover{
    color:#96836b;
     transition: all .3s ease;
}

.icones {
    text-transform: capitalize !important;
    color: #000 !important;
}

.box {
    border: 1px solid;
    min-height: 320px;
    min-width: 300px;
    margin: 50px;
}


.form-control {
    border: none;
    outline: none;
    background: hsla(0, 0%, 78.8%, .38823529411764707);
    color: rgba(90, 91, 91, .9803921568627451);
    border-radius: 3px;
    padding: 10px;
    margin: 0px;
    width: 100%;
    height: 40px;

}


.contact-form {
    background: #f9f9f9;
}


.btn-contact {
    border: 2px solid #fff;
    color: #fff;
    background-color: transparent !important;
    border-radius: 1px !important;
    font-size: 14px !important;
    text-transform: uppercase;
    transition: all .3s ease;
}

.btn-contact:hover {
    border: 2px solid #fff;
    color: #000 !important;
    background-color: #fff !important;
    border-radius: 1px !important;
    transition: all .3s ease;
}


.btn-default {
    border: 1px solid #000;
    color: #000;
    background-color: transparent !important;
    border-radius: 1px !important;
    width: 50%;
    font-size: 14px;
    text-transform: uppercase;
    transition: all .3s ease;
}

.btn-default:hover {
    border: 1px solid #000;
    color: #fff;
    background-color: #000 !important;
    border-radius: 1px !important;
    transition: all .3s ease;
}


.btn-primary {
    border: 1px solid #000;
    color: #fff;
    background-color: #000 !important;
    border-radius: 1px !important;
    width: 30%;
    font-size: 14px;
    text-transform: uppercase;
    transition: all .3s ease;
}

.btn-primary:hover {
    border: 1px solid #000;
    color: #000;
    background-color: transparent !important;
    border-radius: 1px !important;
    transition: all .3s ease;
}


.image-overlay {

    position: relative;
    width: 100%;
    height: 900px;
    /* Altura da imagem de fundo */
    background: url('img/capa.png') no-repeat bottom;
    background-size: cover;
    /* Faz com que a imagem cubra toda a área */
}

.image-overlay::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    /* Overlay escuro com 50% de opacidade */
    z-index: 1;
    /* Para garantir que o overlay fique abaixo do texto */
}

.image-overlay h1,
.image-overlay p,
.image-overlay a,
.image-overlay h3 {
    position: relative;
    z-index: 2;
    /* O texto e o botão devem estar acima do overlay */
    color: white;
    /* Texto branco para maior contraste */
    text-align: left;

}

.image-overlay a.btn {
    display: inline-block;
    margin-top: 20px;
    padding: 10px 20px;
    background-color: #ff9900;
    /* Cor do botão */
    color: white;
    text-decoration: none;
    border-radius: 5px;
    font-size: 18px;
}


/* Estilos personalizados */
.navbar-fixed-top {
    background-color: #333;
    border: none;
    background: url('img/menuTopo.png') no-repeat center center;
    background-size: cover;
    /* Faz com que a imagem cubra toda a área */
    height: 100px;
}

.navbar-brand {
    color: #fff;
}

.navbar-nav>li>a {
    color: #fff;
}

.navbar-nav>li>a:hover,
.navbar-nav>li>.dropdown-menu>li>a:hover {
    background-color: #555;
    color: #fff;
}

/* Estilo para o menu expandido no mobile */
.navbar-collapse {
    background: url('img/menuTopo.png') no-repeat center center;
    background-size: cover;
}


.navbar-inverse .navbar-nav>.open>a,
.navbar-inverse .navbar-nav>.open>a:focus,
.navbar-inverse .navbar-nav>.open>a:hover {
    color: #96836b;
    background-color: transparent;
}


.dropdown-menu {
    background: #96836b !important;
}


.logo {
    width: 260px;
    margin: 5px 0px 0px 5px;
}

.logoRodape {
    width: 190px;
}

.jumbotron {

    background-size: cover;
    color: #fff;
    text-align: center;
    padding: 150px 0;


}

.jumbotron h1 {
    font-size: 3em;
    margin-bottom: 20px;
}

.btn-contact {
    margin-top: 20px;
    background-color: #337ab7;
    color: #fff;
}

.specialties .col-md-6 {
    margin-bottom: 30px;
}

.footer {
    background: url('img/menuTopo.png');
    background-size: cover;
    /* Faz com que a imagem cubra toda a área */
    color: #fff;
    padding: 40px 0;
}

.footer a {
    color: #fff;
}

.footer a:hover {
    text-decoration: none;
}

.contact-form {
    margin-top: 40px;
}

.contact-form h2 {
    margin-bottom: 20px;
}


.carousel-inner>.item>a>img,
.carousel-inner>.item>img,
.img-responsive,
.thumbnail a>img,
.thumbnail>img {
    display: inline-block !important;
}


@media (max-width: 768px) {
    footer {
        text-align: center !important;

        margin-bottom: 0px;
    }

    footer .logoRodape {
        text-align: center !important;
    }

    footer .list-inline {

        margin-left: 0px !important;

    }

    footer h4 {
        margin-top: 50px !important;

    }

}


/* Ajustes para telas pequenas (mobile) */
@media (max-width: 767px) {
    .navbar-fixed-top {
        height: auto;
        /* Permite que a navbar cresça conforme necessário no mobile */
    }

    .navbar-collapse {
        background-color: #333;
        /* Para sobrepor a cor quando o menu expandir */
        padding: 10px;
    }

    .navbar-nav>li>a {
        color: #fff;
        padding: 10px 15px;
        text-align: center;
        font-size: 17px;
    }

    .navbar-header {
        height: 100px;
    }

    .navbar-inverse .navbar-toggle:focus,
    .navbar-inverse .navbar-toggle:hover {
        background-color: transparent !important;
    }


    .navbar-toggle {
        position: relative;
        float: right;
        padding: 15px 15px;
        margin-top: 30px;
        margin-right: 23px;
        margin-bottom: 13px;
        background-color: transparent;
        background-image: none;
        border: 0px solid transparent;
        border-radius: 4px;
    }

    .navbar-toggle .icon-bar {
        display: block;
        width: 25px;
        height: 4px;
        border-radius: 1px;
    }

    .navbar-nav {
        margin: 0px;

    }

    .navbar-fixed-bottom .navbar-collapse,
    .navbar-fixed-top .navbar-collapse {
        max-height: 440px !important;
    }


    .navbar-nav .dropdown-menu {
        display: none;
        /* O submenu fica oculto até ser clicado */
    }

    .navbar-nav .dropdown.open .dropdown-menu {
        display: block;
        /* O submenu será exibido no clique */
    }

    .navbar-nav .dropdown-menu {
        display: none;
    }

    .navbar-nav .dropdown.open .dropdown-menu {
        display: block;
    }


    .navbar-inverse .navbar-nav>.open>a,
    .navbar-inverse .navbar-nav>.open>a:focus,
    .navbar-inverse .navbar-nav>.open>a:hover {
        color: #fff;
        background-color: transparent;
    }


    .jumbotron h1 {
        font-size: 50px !important;
    }


    .logo {
        width: 240px;

    }

    .jumbotron {
        padding: 10px 0;
    }


    .box {
        border: 1px solid;
        min-height: 320px;
        min-width: 280px;
        margin: 30px;
    }

    .image-overlay {
        height: 700px;
    }


}